QGIS Application - Bug report #14252
Cannot Save or Edit Existing .Shp Files
2016-02-09 02:04 AM - Daniel Hart

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 22248
Description

I'm having a problem doing any of the following

- Saving edits to existing .shp files
- Converting other file types to .shp files

All other conversions appear to be working fine, but | am unable to save anything as a shape file. | have tried this on multiple versions
(2.8.6 and 2.12.3, both 32 and 64 bit installs). I'm working on a 64bit Windows 7 machine.

Below is an example of the returned error (in this case a conversion, though the same error displays for edits):
Export to vector file failed.

Error: Feature write errors:
Feature creation error (OGR error: Error in psSHP->sHooks.FSeek() while writing object to .shp file.)

History

#1 - 2016-02-09 06:21 AM - Saber Razmjooei
- Status changed from Open to Feedback

Is your file readable by any chance?

#2 - 2016-02-09 01:45 PM - Giovanni Manghi

- Category set to Vectors

seems much like a local issue... please remove/disable any 3rd party plugin and try again. If still fail try also another system, to exclude local issues
completely. Thanks.

#3 - 2016-02-13 05:38 PM - Antonio Locandro

Can you provide a test shapefile that fails to you so we can check? Very difficult without an actual case to review

#4 - 2016-04-09 01:59 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.

2025-04-27 22



